# module Byebug::Helpers::PathHelper

Utilities for managing gem paths

### Public Instance Methods

all_files() click to toggle source

    # File lib/byebug/helpers/path.rb, line 29
    def all_files
      @all_files ||= gem_files + test_files
    end

bin_file() click to toggle source

    # File lib/byebug/helpers/path.rb, line 9
    def bin_file
      @bin_file ||= File.join(root_path, "exe", "byebug")
    end

gem_files() click to toggle source

    # File lib/byebug/helpers/path.rb, line 25
    def gem_files
      @gem_files ||= [bin_file] + lib_files
    end

lib_files() click to toggle source

    # File lib/byebug/helpers/path.rb, line 17
    def lib_files
      @lib_files ||= glob_for("lib")
    end

root_path() click to toggle source

    # File lib/byebug/helpers/path.rb, line 13
    def root_path
      @root_path ||= File.expand_path(File.join("..", "..", ".."), __dir__)
    end

test_files() click to toggle source

    # File lib/byebug/helpers/path.rb, line 21
    def test_files
      @test_files ||= glob_for("test")
    end

### Private Instance Methods

glob_for(dir) click to toggle source

    # File lib/byebug/helpers/path.rb, line 35
    def glob_for(dir)
      Dir.glob(File.join(root_path, dir, "**", "*.rb"))
    end